'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _reactRedux = require('react-redux');

var _reactIntl = require('react-intl');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _warning = require('warning');

var _warning2 = _interopRequireDefault(_warning);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var mapStateToProps = function mapStateToProps(state) {
  var intl = state.intl;

  return _extends({}, intl, {
    key: intl.locale
  });
};

var ConnectedIntlProvider = (0, _reactRedux.connect)(mapStateToProps)(_reactIntl.IntlProvider);

var Provider = function Provider(_ref) {
  var store = _ref.store;

  var props = _objectWithoutProperties(_ref, ['store']);

  process.env.NODE_ENV !== 'production' ? (0, _warning2.default)(!(props.locale || props.messages), '[react-intl-redux] pass `locale` and `messages` is deprecated, please set them in `initalState` instead. https://github.com/ratson/react-intl-redux/issues/4') : void 0; // eslint-disable-line
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: store },
    _react2.default.createElement(ConnectedIntlProvider, props)
  );
};

Provider.propTypes = {
  children: _react.PropTypes.element.isRequired,
  store: _react.PropTypes.object.isRequired
};

exports.default = Provider;